%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin
#global pyver %{nil}

%global pypi_name jsonpointer
%global github_name python-json-pointer
%global commit 34073e561261cb413b9bdff5beac31b070d98ea2
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python%{pyver}-%{pypi_name}
Version:        1.4
Release:        2%{?dist}
Summary:        Resolve JSON Pointers in Python

License:        BSD
URL:            https://github.com/stefankoegl/%{github_name}
# pypi tarball does not contain COPYING
Source0:        https://github.com/stefankoegl/%{github_name}/archive/%{commit}/%{github_name}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch
BuildRequires:  python%{pyver}-devel

%description
Library to resolve JSON Pointers according to RFC 6901.

%prep
%setup -qn %{github_name}-%{commit}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}
mkdir -p %{buildroot}%{pybindir}
mv %{buildroot}%{_bindir}/jsonpointer %{buildroot}%{pybindir}
ln -s %{pybindir}/jsonpointer  %{buildroot}%{_bindir}/jsonpointer%{pyver}

%check
%{__python} tests.py

%files
%doc README.md COPYING AUTHORS
%{_bindir}/jsonpointer%{pyver}
%{pybindir}/jsonpointer
%{python_sitelib}/%{pypi_name}.py*
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Mon Oct 06 2014 Josko Plazonic <plazonic@princeton.edu> - 1.4-2
- upgrade to 1.4

* Thu Sep 05 2013 Alan Pevec <apevec@gmail.com> - 1.0-2
- add AUTHORS to docs

* Mon Jul 01 2013 Alan Pevec <apevec@gmail.com> - 1.0-1
- Initial package.
